org.apache.xml.serializer

## Class ToHTMLSAXHandler

- java.lang.Object
- - org.apache.xml.serializer.SerializerBase
  - - org.apache.xml.serializer.ToSAXHandler
    - - org.apache.xml.serializer.ToHTMLSAXHandler

All Implemented Interfaces:
  DOMSerializer, ExtendedContentHandler, ExtendedLexicalHandler, SerializationHandler, Serializer, ContentHandler, DTDHandler, ErrorHandler, DeclHandler, LexicalHandler

Deprecated.
As of Xalan 2.7.1, replaced by the use of `ToXMLSAXHandler`.

    public final class ToHTMLSAXHandler
    extends ToSAXHandler

This class accepts SAX-like calls, then sends true SAX calls to a wrapped SAX handler. There is optimization done knowing that the ultimate output is HTML. This class is not a public API.

Usage:
  **For internal use only**

### Field Summary

Fields
`static java.lang.String` `CDATA_CONTINUE` To insert ]]> in a CDATA section by ending the last CDATA section with ]] and starting the next CDATA section with >
`static java.lang.String` `CDATA_DELIMITER_CLOSE` The constant "]]>"
`static java.lang.String` `CDATA_DELIMITER_OPEN`
`static java.lang.String` `DEFAULT_SAX_SERIALIZER`
`static java.lang.String` `EMPTYSTRING`
`static java.lang.String` `ENTITY_AMP`
`static java.lang.String` `ENTITY_CRLF`
`static java.lang.String` `ENTITY_GT`
`static java.lang.String` `ENTITY_LT`
`static java.lang.String` `ENTITY_QUOT`
`static java.lang.String` `XML_PREFIX`
`static java.lang.String` `XMLNS_PREFIX`
`static java.lang.String` `XMLNS_URI`
`static java.lang.String` `XMLVERSION10`
`static java.lang.String` `XMLVERSION11` Define the XML version.

### Fields inherited from class org.apache.xml.serializer.SerializerBase

`PKG_NAME, PKG_PATH`

### Fields inherited from interface org.apache.xml.serializer.ExtendedContentHandler

`HTML_ATTREMPTY, HTML_ATTRURL, NO_BAD_CHARS`

### Constructor Summary

Constructors
Constructor and Description
`ToHTMLSAXHandler(ContentHandler handler, LexicalHandler lex, java.lang.String encoding)` Deprecated. A constructor.
`ToHTMLSAXHandler(ContentHandler handler, java.lang.String encoding)` Deprecated. A constructor

### Method Summary

Methods
`void` `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` Deprecated. Does nothing.
`void` `characters(char[] ch, int off, int len)` Deprecated. Receive notification of character data.
`void` `characters(java.lang.String chars)` Deprecated. Receive notification of character data.
`void` `close()` Deprecated. Do nothing.
`void` `comment(char[] ch, int start, int length)` Deprecated. Receive notification of a comment anywhere in the document.
`void` `elementDecl(java.lang.String name, java.lang.String model)` Deprecated. Does nothing.
`void` `endCDATA()` Deprecated. Does nothing.
`void` `endDocument()` Deprecated. Receive notification of the end of a document.
`void` `endDTD()` Deprecated. Does nothing.
`void` `endElement(java.lang.String elementName)` Deprecated. Receive notification of the end of an element.
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Deprecated. Receive notification of the end of an element.
`void` `endPrefixMapping(java.lang.String prefix)` Deprecated. Does nothing.
`void` `externalEntityDecl(java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Deprecated. Report a parsed external entity declaration.
`void` `flushPending()` Deprecated. This method flushes any pending events, which can be startDocument() closing the opening tag of an element, or closing an open CDATA section.
`java.util.Properties` `getOutputFormat()` Deprecated. Returns null.
`java.io.OutputStream` `getOutputStream()` Deprecated. Reurns null
`java.io.Writer` `getWriter()` Deprecated. Returns null
`void` `ignorableWhitespace(char[] ch, int start, int length)` Deprecated. Does nothing.
`void` `indent(int n)` Deprecated. Does nothing.
`void` `internalEntityDecl(java.lang.String name, java.lang.String value)` Deprecated. Does nothing.
`void` `namespaceAfterStartElement(java.lang.String prefix, java.lang.String uri)` Deprecated. This method is used when a prefix/uri namespace mapping is indicated after the element was started with a startElement() and before and endElement().
`void` `processingInstruction(java.lang.String target, java.lang.String data)` Deprecated. Receive notification of a processing instruction.
`boolean` `reset()` Deprecated. Try's to reset the super class and reset this class for re-use, so that you don't need to create a new serializer (mostly for performance reasons).
`void` `serialize(Node node)` Deprecated. Does nothing.
`void` `setDocumentLocator(Locator arg0)` Deprecated. Does nothing.
`boolean` `setEscaping(boolean escape)` Deprecated. Turns special character escaping on/off.
`void` `setIndent(boolean indent)` Deprecated. Does nothing
`void` `setOutputFormat(java.util.Properties format)` Deprecated. Does nothing.
`void` `setOutputStream(java.io.OutputStream output)` Deprecated. Does nothing.
`void` `setWriter(java.io.Writer writer)` Deprecated. Does nothing.
`void` `skippedEntity(java.lang.String arg0)` Deprecated. Does nothing.
`void` `startCDATA()` Deprecated. Does nothing.
`void` `startElement(java.lang.String elementName)` Deprecated. An element starts, but attributes are not fully known yet.
`void` `startElement(java.lang.String elementNamespaceURI, java.lang.String elementLocalName, java.lang.String elementName)` Deprecated. An element starts, but attributes are not fully known yet.
`void` `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, Attributes atts)` Deprecated. Receive notification of the beginning of an element, although this is a SAX method additional namespace or attribute information can occur before or after this call, that is associated with this element.
`void` `startEntity(java.lang.String arg0)` Deprecated. Does nothing.
`void` `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Deprecated. Begin the scope of a prefix-URI Namespace mapping just before another element is about to start.
`boolean` `startPrefixMapping(java.lang.String prefix, java.lang.String uri, boolean shouldFlush)` Deprecated. Handle a prefix/uri mapping, which is associated with a startElement() that is soon to follow.

### Methods inherited from class org.apache.xml.serializer.ToSAXHandler

`addUniqueAttribute, characters, comment, error, fatalError, setCdataSectionElements, setContentHandler, setLexHandler, setShouldOutputNSAttr, setTransformState, startDTD, warning`

### Methods inherited from class org.apache.xml.serializer.SerializerBase

`addAttribute, addAttribute, addAttribute, addAttributeAlways, addAttributes, addXSLAttribute, asContentHandler, asDOM3Serializer, asDOMSerializer, documentIsEmpty, endEntity, entityReference, fireEndEntity, getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getIndentAmount, getMediaType, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getOmitXMLDeclaration, getOutputProperty, getOutputPropertyDefault, getOutputPropertyNonDefault, getPrefix, getStandalone, getTransformer, getVersion, notationDecl, setDoctype, setDoctypePublic, setDoctypeSystem, setDTDEntityExpansion, setEncoding, setIndentAmount, setMediaType, setNamespaceMappings, setOmitXMLDeclaration, setOutputProperty, setOutputPropertyDefault, setSourceLocator, setStandalone, setTransformer, setVersion, startDocument, unparsedEntityDecl`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CDATA_CONTINUE

    public static final java.lang.String CDATA_CONTINUE

To insert ]]> in a CDATA section by ending the last CDATA section with ]] and starting the next CDATA section with >

See Also:
  Constant Field Values

#### CDATA_DELIMITER_CLOSE

    public static final java.lang.String CDATA_DELIMITER_CLOSE

The constant "]]>"

See Also:
  Constant Field Values

#### CDATA_DELIMITER_OPEN

    public static final java.lang.String CDATA_DELIMITER_OPEN

See Also:
  Constant Field Values

#### EMPTYSTRING

    public static final java.lang.String EMPTYSTRING

See Also:
  Constant Field Values

#### ENTITY_AMP

    public static final java.lang.String ENTITY_AMP

See Also:
  Constant Field Values

#### ENTITY_CRLF

    public static final java.lang.String ENTITY_CRLF

See Also:
  Constant Field Values

#### ENTITY_GT

    public static final java.lang.String ENTITY_GT

See Also:
  Constant Field Values

#### ENTITY_LT

    public static final java.lang.String ENTITY_LT

See Also:
  Constant Field Values

#### ENTITY_QUOT

    public static final java.lang.String ENTITY_QUOT

See Also:
  Constant Field Values

#### XML_PREFIX

    public static final java.lang.String XML_PREFIX

See Also:
  Constant Field Values

#### XMLNS_PREFIX

    public static final java.lang.String XMLNS_PREFIX

See Also:
  Constant Field Values

#### XMLNS_URI

    public static final java.lang.String XMLNS_URI

See Also:
  Constant Field Values

#### DEFAULT_SAX_SERIALIZER

    public static final java.lang.String DEFAULT_SAX_SERIALIZER

#### XMLVERSION11

    public static final java.lang.String XMLVERSION11

Define the XML version.

See Also:
  Constant Field Values

#### XMLVERSION10

    public static final java.lang.String XMLVERSION10

See Also:
  Constant Field Values

### Constructor Detail

#### ToHTMLSAXHandler

    public ToHTMLSAXHandler(ContentHandler handler,
                    java.lang.String encoding)

Deprecated.
A constructor

Parameters:
  `handler` - the wrapped SAX content handler
  `encoding` - the encoding of the output HTML document

#### ToHTMLSAXHandler

    public ToHTMLSAXHandler(ContentHandler handler,
                    LexicalHandler lex,
                    java.lang.String encoding)

Deprecated.
A constructor.

Parameters:
  `handler` - the wrapped SAX content handler
  `lex` - the wrapped lexical handler
  `encoding` - the encoding of the output HTML document

### Method Detail

#### getOutputFormat

    public java.util.Properties getOutputFormat()

Deprecated.
Returns null.

Returns:
  null
See Also:
  `Serializer.getOutputFormat()`

#### getOutputStream

    public java.io.OutputStream getOutputStream()

Deprecated.
Reurns null

Returns:
  null
See Also:
  `Serializer.getOutputStream()`

#### getWriter

    public java.io.Writer getWriter()

Deprecated.
Returns null

Returns:
  null
See Also:
  `Serializer.getWriter()`

#### indent

    public void indent(int n)
                throws SAXException

Deprecated.
Does nothing.

Throws:
  `SAXException`

#### serialize

    public void serialize(Node node)
                   throws java.io.IOException

Deprecated.
Does nothing.

Parameters:
  `node` - the DOM node to be serialized.
Throws:
  `java.io.IOException` - if an I/O exception occured while serializing
See Also:
  `DOMSerializer.serialize(Node)`

#### setEscaping

    public boolean setEscaping(boolean escape)
                        throws SAXException

Deprecated.
Turns special character escaping on/off.

Parameters:
  `escape` - true if escaping is to be set on.
Throws:
  `SAXException`
See Also:
  `SerializationHandler.setEscaping(boolean)`

#### setIndent

    public void setIndent(boolean indent)

Deprecated.
Does nothing

Overrides:
  `setIndent` in class `SerializerBase`
Parameters:
  `indent` - the number of spaces to indent per indentation level (ignored)
See Also:
  `XSLOutputAttributes.setIndent(boolean)`

#### setOutputFormat

    public void setOutputFormat(java.util.Properties format)

Deprecated.
Does nothing.

Parameters:
  `format` - this parameter is not used
See Also:
  `Serializer.setOutputFormat(Properties)`

#### setOutputStream

    public void setOutputStream(java.io.OutputStream output)

Deprecated.
Does nothing.

Parameters:
  `output` - this parameter is ignored
See Also:
  `Serializer.setOutputStream(OutputStream)`

#### setWriter

    public void setWriter(java.io.Writer writer)

Deprecated.
Does nothing.

Parameters:
  `writer` - this parameter is ignored.
See Also:
  `Serializer.setWriter(Writer)`

#### attributeDecl

    public void attributeDecl(java.lang.String eName,
                     java.lang.String aName,
                     java.lang.String type,
                     java.lang.String valueDefault,
                     java.lang.String value)
                       throws SAXException

Deprecated.
Does nothing.

Parameters:
  `eName` - this parameter is ignored
  `aName` - this parameter is ignored
  `type` - this parameter is ignored
  `valueDefault` - this parameter is ignored
  `value` - this parameter is ignored
Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `DeclHandler.attributeDecl(String, String, String,String,String)`

#### elementDecl

    public void elementDecl(java.lang.String name,
                   java.lang.String model)
                     throws SAXException

Deprecated.
Does nothing.

Parameters:
  `name` - The element type name.
  `model` - The content model as a normalized string.
Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `DeclHandler.elementDecl(String, String)`

#### externalEntityDecl

    public void externalEntityDecl(java.lang.String arg0,
                          java.lang.String arg1,
                          java.lang.String arg2)
                            throws SAXException

Deprecated.
Description copied from interface: `DeclHandler`
Report a parsed external entity declaration.

Only the effective (first) declaration for each entity will be reported.

If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

Parameters:
  `arg0` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  `arg1` - The entity's public identifier, or null if none was given.
  `arg2` - The entity's system identifier.
Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `DeclHandler.externalEntityDecl(String, String, String)`

#### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                          java.lang.String value)
                            throws SAXException

Deprecated.
Does nothing.

Parameters:
  `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  `value` - The replacement text of the entity.
Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

#### endElement

    public void endElement(java.lang.String uri,
                  java.lang.String localName,
                  java.lang.String qName)
                    throws SAXException

Deprecated.
Receive notification of the end of an element.

The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding startElement() event for every endElement() event (even when the element is empty).

If the element name has a namespace prefix, the prefix will still be attached to the name.

Parameters:
  `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
  `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
  `qName` - The qualified name (with prefix), or the empty string if qualified names are not available.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `ContentHandler.endElement(String, String, String)`

#### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws SAXException

Deprecated.
Does nothing.

Parameters:
  `prefix` - the prefix that was being mapped. This is the empty string when a default mapping scope ends.
Throws:
  `SAXException` - the client may throw an exception during processing
See Also:
  `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

#### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                           int start,
                           int length)
                             throws SAXException

Deprecated.
Does nothing.

Parameters:
  `ch` - the characters from the XML document
  `start` - the start position in the array
  `length` - the number of characters to read from the array
Throws:
  `SAXException` - any SAX exception, possibly wrapping another exception
See Also:
  `ContentHandler.ignorableWhitespace(char[], int, int)`

#### processingInstruction

    public void processingInstruction(java.lang.String target,
                             java.lang.String data)
                               throws SAXException

Deprecated.
Receive notification of a processing instruction.

The Parser will invoke this method once for each processing instruction found: note that processing instructions may occur before or after the main document element.

A SAX parser should never report an XML declaration (XML 1.0, section 2.8) or a text declaration (XML 1.0, section 4.3.1) using this method.

Specified by:
  `processingInstruction` in interface `ContentHandler`
Overrides:
  `processingInstruction` in class `ToSAXHandler`
Parameters:
  `target` - The processing instruction target.
  `data` - The processing instruction data, or null if none was supplied.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
  `SAXException`
See Also:
  `ContentHandler.processingInstruction(String, String)`

#### setDocumentLocator

    public void setDocumentLocator(Locator arg0)

Deprecated.
Does nothing.

Specified by:
  `setDocumentLocator` in interface `ContentHandler`
Overrides:
  `setDocumentLocator` in class `SerializerBase`
Parameters:
  `arg0` - An object that can return the location of any SAX document event. Receive an object for locating the origin of SAX document events.

  SAX parsers are strongly encouraged (though not absolutely required) to supply a locator: if it does so, it must supply the locator to the application by invoking this method before invoking any of the other methods in the DocumentHandler interface.

  The locator allows the application to determine the end position of any document-related event, even if the parser is not reporting an error. Typically, the application will use this information for reporting its own errors (such as character content that does not match an application's business rules). The information returned by the locator is probably not sufficient for use with a search engine.

  Note that the locator will return correct information only during the invocation of the events in this interface. The application should not attempt to use it at any other time.

See Also:
  `ContentHandler.setDocumentLocator(Locator)`

#### skippedEntity

    public void skippedEntity(java.lang.String arg0)
                       throws SAXException

Deprecated.
Does nothing.

Parameters:
  `arg0` - the name of the skipped entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be the string "[dtd]"
Throws:
  `SAXException` - any SAX exception, possibly wrapping another exception
See Also:
  `ContentHandler.skippedEntity(String)`

#### startElement

    public void startElement(java.lang.String namespaceURI,
                    java.lang.String localName,
                    java.lang.String qName,
                    Attributes atts)
                      throws SAXException

Deprecated.
Receive notification of the beginning of an element, although this is a SAX method additional namespace or attribute information can occur before or after this call, that is associated with this element.

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `ToSAXHandler`
Parameters:
  `namespaceURI` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
  `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
  `qName` - The elements name.
  `atts` - The attributes attached to the element, if any.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
  `SAXException`
See Also:
  `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `AttributeList`, `ContentHandler.startElement(String, String, String, Attributes)`

#### comment

    public void comment(char[] ch,
               int start,
               int length)
                 throws SAXException

Deprecated.
Receive notification of a comment anywhere in the document. This callback will be used for comments inside or outside the document element.

Parameters:
  `ch` - An array holding the characters in the comment.
  `start` - The starting position in the array.
  `length` - The number of characters to use from the array.
Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `LexicalHandler.comment(char[], int, int)`

#### endCDATA

    public void endCDATA()
                  throws SAXException

Deprecated.
Does nothing.

Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `LexicalHandler.endCDATA()`

#### endDTD

    public void endDTD()
                throws SAXException

Deprecated.
Does nothing.

Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `LexicalHandler.endDTD()`

#### startCDATA

    public void startCDATA()
                    throws SAXException

Deprecated.
Does nothing.

Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `LexicalHandler.startCDATA()`

#### startEntity

    public void startEntity(java.lang.String arg0)
                     throws SAXException

Deprecated.
Does nothing.

Parameters:
  `arg0` - The name of the entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be "[dtd]".
Throws:
  `SAXException` - The application may raise an exception.
See Also:
  `LexicalHandler.startEntity(String)`

#### endDocument

    public void endDocument()
                     throws SAXException

Deprecated.
Receive notification of the end of a document.

The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
  `SAXException`
See Also:
  `ContentHandler.startDocument()`

#### close

    public void close()

Deprecated.
Do nothing.

Specified by:
  `close` in interface `SerializationHandler`
Overrides:
  `close` in class `SerializerBase`
See Also:
  `SerializationHandler.close()`

#### characters

    public void characters(java.lang.String chars)
                    throws SAXException

Deprecated.
Receive notification of character data.

Specified by:
  `characters` in interface `ExtendedContentHandler`
Overrides:
  `characters` in class `ToSAXHandler`
Parameters:
  `chars` - The string of characters to process.
Throws:
  `SAXException`
See Also:
  `ExtendedContentHandler.characters(String)`

#### startElement

    public void startElement(java.lang.String elementNamespaceURI,
                    java.lang.String elementLocalName,
                    java.lang.String elementName)
                      throws SAXException

Deprecated.
An element starts, but attributes are not fully known yet.

Specified by:
  `startElement` in interface `ExtendedContentHandler`
Overrides:
  `startElement` in class `ToSAXHandler`
Parameters:
  `elementNamespaceURI` - the URI of the namespace of the element (optional)
  `elementLocalName` - the element name, but without prefix (optional)
  `elementName` - the element name, with prefix, if any (required)
Throws:
  `SAXException`
See Also:
  `ExtendedContentHandler.startElement(String)`

#### startElement

    public void startElement(java.lang.String elementName)
                      throws SAXException

Deprecated.
An element starts, but attributes are not fully known yet.

Specified by:
  `startElement` in interface `ExtendedContentHandler`
Overrides:
  `startElement` in class `ToSAXHandler`
Parameters:
  `elementName` - the element name, with prefix, if any
Throws:
  `SAXException`
See Also:
  `ExtendedContentHandler.startElement(String)`

#### endElement

    public void endElement(java.lang.String elementName)
                    throws SAXException

Deprecated.
Receive notification of the end of an element.

Parameters:
  `elementName` - The element type name
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `ExtendedContentHandler.endElement(String)`

#### characters

    public void characters(char[] ch,
                  int off,
                  int len)
                    throws SAXException

Deprecated.
Receive notification of character data.

The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

The application must not attempt to read from the array outside of the specified range.

Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

Parameters:
  `ch` - The characters from the XML document.
  `off` - The start position in the array.
  `len` - The number of characters to read from the array.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
  `SAXException`
See Also:
  `ignorableWhitespace(char[], int, int)`, `Locator`, `ContentHandler.characters(char[], int, int)`

#### flushPending

    public void flushPending()
                      throws SAXException

Deprecated.
This method flushes any pending events, which can be startDocument() closing the opening tag of an element, or closing an open CDATA section.

Specified by:
  `flushPending` in interface `SerializationHandler`
Overrides:
  `flushPending` in class `ToSAXHandler`
Throws:
  `SAXException`

#### startPrefixMapping

    public boolean startPrefixMapping(java.lang.String prefix,
                             java.lang.String uri,
                             boolean shouldFlush)
                               throws SAXException

Deprecated.
Handle a prefix/uri mapping, which is associated with a startElement() that is soon to follow. Need to close any open start tag to make sure than any name space attributes due to this event are associated wih the up comming element, not the current one.

Parameters:
  `prefix` - The Namespace prefix being declared.
  `uri` - The Namespace URI the prefix is mapped to.
  `shouldFlush` - true if any open tags need to be closed first, this will impact which element the mapping applies to (open parent, or its up comming child)
Returns:
  returns true if the call made a change to the current namespace information, false if it did not change anything, e.g. if the prefix/namespace mapping was already in scope from before.
Throws:
  `SAXException` - The client may throw an exception during processing.
See Also:
  `ExtendedContentHandler.startPrefixMapping(java.lang.String, java.lang.String, boolean)`

#### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                          java.lang.String uri)
                            throws SAXException

Deprecated.
Begin the scope of a prefix-URI Namespace mapping just before another element is about to start. This call will close any open tags so that the prefix mapping will not apply to the current element, but the up comming child.

Parameters:
  `prefix` - The Namespace prefix being declared.
  `uri` - The Namespace URI the prefix is mapped to.
Throws:
  `SAXException` - The client may throw an exception during processing.
See Also:
  `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

#### namespaceAfterStartElement

    public void namespaceAfterStartElement(java.lang.String prefix,
                                  java.lang.String uri)
                                    throws SAXException

Deprecated.
This method is used when a prefix/uri namespace mapping is indicated after the element was started with a startElement() and before and endElement(). startPrefixMapping(prefix,uri) would be used before the startElement() call.

Specified by:
  `namespaceAfterStartElement` in interface `ExtendedContentHandler`
Overrides:
  `namespaceAfterStartElement` in class `SerializerBase`
Parameters:
  `prefix` - the prefix associated with the given URI.
  `uri` - the URI of the namespace
Throws:
  `SAXException`
See Also:
  `ExtendedContentHandler.namespaceAfterStartElement(String, String)`

#### reset

    public boolean reset()

Deprecated.
Try's to reset the super class and reset this class for re-use, so that you don't need to create a new serializer (mostly for performance reasons).

Specified by:
  `reset` in interface `Serializer`
Overrides:
  `reset` in class `ToSAXHandler`
Returns:
  true if the class was successfuly reset.
See Also:
  `Serializer.reset()`